varying vec4 projCoord;

varying vec3 normal;
varying vec3 v;
varying vec3 lightvec;

void main()
{
    normal          = normalize(gl_NormalMatrix * gl_Normal);
    v               = vec3(gl_ModelViewMatrix * gl_Vertex);
    lightvec        = normalize(gl_LightSource[0].position.xyz - v);

	vec4 realPos = gl_ModelViewMatrix * gl_Vertex;
  
	projCoord = gl_TextureMatrix[0] * realPos;
	gl_TexCoord[1] = gl_MultiTexCoord1;
	

	gl_Position = ftransform();
}